===============================================================================
WELCOME TO BANSHEE 2.0.0 - Released April 6, 2011
===============================================================================

  * Banshee is a multimedia management and playback application for GNOME.

    "Play your music and videos. Stay entertained and up to date with podcasts
    and video podcasts.  Sync your Android, iPod, and other devices. We think
    you'll love the new Banshee!"

  * Learn More: http://banshee.fm/download/archives/2.0.0


===============================================================================
NEW AWESOME FEATURES AND ENHANCEMENTS
===============================================================================

    Banshee 2.0 is the culmination of six months' work by 36 developers and
    dozens of translators, bug reporters, and testers.  It is a stable release,
    the successor to Banshee 1.8.

    New Features:

      * Artist/Album Browser Track Actions

            Track actions (play, queue, remove, delete, edit, properties)
            now work for the artist and album browser too!  Right click an
            artist or album to act on it, or click an album and press 'q' to
            queue it.

      * 'Play After' Queue Options

            Want to listen to a track, album, or artist right after the playing
            track, album, or artist?  The 'Play After' option will insert it
            into the queue to make it happen.

      * User Interface Improvements

            We have made several changes toward a cleaner and more usable UI.
            We got rid of the active source's title bar.  Search is now beside
            the volume button.  The source list has smaller icons, hidden
            counts for the libraries, and named group-separators.  The seek
            slider and search entry are resizable via their grips.

            Podcasts episodes are now shown in a grid, with several lines of
            description shown to help you find an appealing episode to enjoy.

      * Ubuntu One Music Store and SoundMenu Extensions

            These two extensions have been moved from Banshee Community
            Extensions and are now core Banshee extensions.

      * Subtitles

            Added support for embedded and external-file subtitles.

    Enhancements:

      * Support Amazon Cloud Player browsing and downloading
      * Remember sources' column configuration
      * 'Shuffle by' respects user-selected artist/album 
      * MultimediaKeys: Support Pause, FastForward, Rewind, Repeat and Shuffle
      * Album grid has tooltips for ellipsized text
      * MusicBrainz cover art search supports CDBaby and Jamendo
      * Allow to clear the play queue while in Populate mode
      * Add a new 'Recently Played' default smart playlist
      * Blank track editor spin buttons when 0
      * Remove Home and Photo folder import sources
      * Improved write-metadata-to-file performance
      * Many improvements and fixes to the F1 user guide
      * Add support for handling u1ms:// links
      * AmazonMp3.Store: amazon.ca support
      * Daap: Keep a list of recently used remote servers
      * Advertise lastfm scheme handling in the .desktop files
      * MiroGuide: Handle Listen links from front page
      * Playlists: Recognize m3u playlists without header (bgo#645351)
      * LibraryWatcher: Guard against watching incorrect dirs (bgo#633309)
      * Subscribe to Internet Archive searches as podcasts
      * Massively rework the podcast edit dialog
      * Add 'Podcast Properties' to episode menu
      * WebOSDevice: Support playlists (bgo#641486)
      * New Devices Supported:
        - Huawei Ideos Android phones
        - LG Ally phone
        - LG Optimus S Android phone
        - Nexus S and Xperia X10 mini pro
        - Sharp IS01 and IS03 Android phones
        - Sirius Alpha Android phone
      * Add DBus method to clear the play queue
      * MPRIS 2.0 support - DBus API
      * Windows build (alpha-quality) now available
      * Mac build (beta-quality) has been updated

    Notable Bugs Fixed (277 fixed since 1.8):

      * Remove unused Mono.Addins.Gui dependency
      * Fix checkbox hover prelight in Fixup
      * Always grab search entry focus on ctrl+f
      * MiroGuide: Properly escape search query strings
      * AmazonMp3.Store: Fix search query escaping
      * [TrackEditor] Don't try to load metadata over HTTP
      * [AppleDevice] Sync dialog would be displayed forever
      * bgo#587936: AppleDevice: Sync the Sort* fields
      * bgo#631172: AppleDevice: Fix podcast support
      * bgo#636448: AppleDevice: Fix music appearing in Videos in Banshee
      * bgo#634652: AppleDevice: Remove invalid tracks before syncing
      * bgo#540503: Remove Jump... from context menu
      * bgo#540525: Stop when the playing track is deleted
      * bgo#545998: Sensitize and pluralize podcast actions appropriately
      * bgo#609463: Equalizer distortion
      * bgo#620010: Displaying random image for "All Albums"
      * bgo#623441: Duplicates on import due to character encoding
      * bgo#624734: Allow editing Radio stations again
      * bgo#629005: Full-screen on multi-head displays
      * bgo#629534: TaskStatusIcon missing-ctor crash
      * bgo#630039: Concatenated and untranslatable string
      * bgo#631277: Crash in when editing some tracks' metadata
      * bgo#631687: Non-local tracks added to DAP without extensions
      * bgo#631961: [Gio] Invalid cast exception
      * bgo#632114: Hang when replaying video
      * bgo#632246: Missing-ctor issue in SourceComboBox
      * bgo#632420: Use the MeeGo client if appropriate
      * bgo#632715: Bookmarks UI not getting loaded
      * bgo#633579: Fixup not getting reloaded correctly
      * bgo#633764: [Dap] not transcoding some files when we should
      * bgo#633841: Recognize webm as video
      * bgo#634096: Empty track # in filename patterns
      * bnc#642505: Insecure LD_LIBRARY_PATH
      * bgo#637202: Initialize the ipod each time we load
      * bgo#630209: Fix podcast flag for video podcasts
      * bgo#635780: Prevent GroupSources from being selected
      * bgo#540394: Don't overwrite existing files when ripping
      * bgo#635776: Ensure karma-sharp's DLLmap is copied in the build
      * bgo#634662: Make search entry in MeeGo panel correctly show query
      * bgo#634686: Fix streaming broken after first play
      * bgo#635426: Ensure track filter actions updated
      * bgo#635453: Fix regression with importing mkv
      * bgo#637333: MeeGo: Fix NRE at start up
      * bgo#637350: Fix SimpleTable crash
      * bgo#636077: Fix Podcasts selection bug w/ DAP plugged in
      * bgo#637366: SmartPlaylistSource: Fix NRE with "selected by random"
      * bgo#637365: SmartPlaylistSource: Clear the condition when it's not enabled
      * bgo#637303: FileChooserDialog: Fix error message on first launch
      * bgo#637627: FullscreenWindow: Keep fullscreen when showing volume osd
      * bgo#638477: X11NotificationArea: Enhance check for RGBA visual
      * bgo#637991: SourceRowRenderer: Fix vertical alignment calculation
      * bgo#611796: [Preferences] Have source list use theme icon size
      * bgo#639044: UnknownTrackInfo: Avoid NRE if URI is null
      * bgo#639032: LastfmStreaming: Delete the Loved stations from the database
      * bgo#639603: Fix NRE when current track doesn't have a Uri
      * bgo#486543: Playlists: Fix parsing when started from root directory
      * bgo#640276: AmazonMp3.Store: Fix country detection for United Kingdom
      * bgo#638070: LibraryWatcher: Don't watch non-existing dirs
      * bgo#635779: Fix crash after disabling some extensions
      * bgo#636435: PlayQueueSource: Fix track prepending when not playing
      * bgo#641000: NowPlaying: Fix resizing fullscreen control bar
      * bgo#640455: PlayQueue: Additional padding for the fill controls
      * bgo#643407: GStreamerSharp: Properly handle GStreamer errors
      * bgo#641674: SmartPlaylists: Fix queries with { and }
      * bgo#623183: DatabaseTrackInfo: Fix rating update on current track
      * bgo#637717: audio-profiles: fix duration for CBR lame profile
      * bgo#614192: GStreamer: Fix inappropriate repeating
      * bgo#643782: Mpris: Distinguish between music and video playlists
      * bgo#641515: Workaround X BadMatch crash
      * bgo#619609: Metadata: Do not fetch covers for unknown albums/artists
      * bgo#631012: Audiobook: Fix crash when switch to playlist
      * bgo#628087: Handle setting SearchEntry.Query to nullb
      * bgo#602145: InternetRadio: Clear playback errors when playing
      * bgo#635951: Fix skipping removed/deleted tracks

===============================================================================
SOURCES / PACKAGES
===============================================================================

Sources
-------

    * Banshee 2.0.0 Tarballs:
      http://download.banshee.fm/banshee/stable/2.0.0/banshee-2.0.0.tar.bz2
      http://download.banshee.fm/banshee/stable/2.0.0/banshee-2.0.0.tar.gz
      http://download.banshee.fm/banshee/stable/2.0.0/banshee-2.0.0.sha256sum

Packages
--------

    Download and installation information is available here:

    * http://banshee.fm/download/

    Packages for openSUSE are available from the openSUSE Build Service:

    * http://download.opensuse.org/repositories/Banshee/

    Binaries for Mac OS X 10.5 and 10.6:

    * http://download.banshee.fm/banshee/stable/2.0.0/banshee-2.0.0.macosx.intel.dmg

    Binaries for Windows:

    * http://download.banshee.fm/banshee/stable/2.0.0/Banshee-2.0.0.msi

===============================================================================
DEPENDENCIES
===============================================================================

    * Mono 1.9.1 (.NET 2.0 Profile / gmcs)
    * SQlite 3.4
    * Gtk# 2.12
    * GStreamer 0.10.23

    * NDesk DBus (ndesk-dbus) 0.5
    * NDesk DBus GLib (ndesk-dbus-glib) 0.3
    * Mono.Addins (mono-addins) 0.3.1
    * TagLib# (taglib-sharp) >= 2.0.3.7

    * Required to build default feature stack:
      * libmtp >= 0.2.0
        * Note to packagers: since libmtp has different .so files for
          different versions, you need to require in your package the same
          version of libmtp you used to build Banshee.
      * mono-zeroconf >= 0.8.0
      * boo >= 0.8.1
      * GIO support requires glib >= 2.22, gio-sharp and gtk-sharp-beans
      * Library Watcher extension requires Mono >= 2.4.3
      * Accessibilty for ListView and Rating widgets requires Gtk# >= 2.12.10
      * YouTube extension requires gdata-sharp-core and
        gdata-sharp-youtube >= 1.4
      * Amazon MP3 Store, Wikipedia Context Pane, and Miro Guide require
        webkit-1.0 >= 1.2.2
      * GIO/udev-based hardware backend requires glib >= 2.22, gio-sharp,
        gtk-sharp-beans, gudev-sharp and gkeyfile-sharp
      * Apple Devices backend requires libgpod-sharp >= 0.7.95

    * Run-time requirements for default feature stack:
      * GIO/udev
      * Brasero >= 0.8.1
      * Avahi
      * gst-plugins-bad (providing the bpmdetect GStreamer plugin)

    Packagers:
      * --with-vendor-build-id=<foo> should always be set and detail the distro
        name and version (e.g. openSUSE 11.1), and the repository origin, such
        as 'Banshee Team PPA'; for example, the %distribution macro is used in
        the openSUSE Build Service, which expands to something like this:
        'home:gabrielburt:branches:Banshee / openSUSE_Factory'; also the
        build/configure time is stored along with the host OS and CPU

    Please note that for openSUSE, all of the dependencies above can be
    found in the openSUSE Build Service, and are linked into the
    Banshee project. Even if you build from source, if you wish
    to avoid building the entire dependency chain above, add the
    Banshee repository to your repository list.

    Historically, Banshee has fostered development of a number of projects
    and bundled their source code instead of depending on external builds.
    Many of these dependencies have matured and grown into well maintained
    projects on their own, and we are now depending on them externally. We
    waited to remove the bundles long enough to allow for distributions to
    ship packages to reduce the pain of building Banshee.


===============================================================================
REPORT BUGS - HELP THE PROJECT - GROW THE COMMUNITY
===============================================================================

    If you encounter any bad behavior with this release, please do not
    hesitate to file bugs!

    * http://banshee.fm/contribute/file-bugs
    * http://bugzilla.gnome.org/enter_bug.cgi?product=banshee&version=1.9.6


===============================================================================
VALUED BANSHEE CONTRIBUTORS
===============================================================================

Contributors For This Release
-----------------------------

    The following people directly contributed to the release of this version
    of Banshee. Without their help, there would be no release!

      Aaron Bockover, Alan McGovern, Alexander Kojevnikov, Alex Launi,
      Alex Willmy, Andreas Nilsson, Andrés G. Aragoneses, Aran Cox,
      Aurélien Mino, Benjamín Valero Espinosa, Bertrand Lorentz,
      Chow Loong Jin, Christian Krause, Dougal Stanton, Dustin C. Hatch,
      Frank Ziegler, Gabriel Burt, Ján Sokoly, Jensen Somers, Jonas Urth Olsen,
      kentaro KAZUHAMA, Koichi Akabe, Mackenan Grassi, Mark Busby,
      Martin Lettner, Michał Sawicz, Olivier Dufour, Paul Cutler,
      Pete Johanson, Raimo Radczewski, Rodney Dawes, Samuel Gyger,
      Sjoerd Simons, Tim Fisken, William Friesen, Yuuto Tokunaga, Zhou Ting

    The following people contributed updated translations to this release.
    Without them, our project's reach would be much more limited.

      Andika Triwidada, Andrej Žnidaršič, Ángel Sanz, António Lima,
      Aron Xu, Benjamín Valero Espinosa, Bruce Cowan, Bruno Brouard,
      Carles Ferrando, Cheng-Chia Tseng, Daniel Korostil, Daniel Mustieles,
      Daniel Nylander, David Planella, Fran Diéguez, Gabor Kelemen,
      Gabriel F. Vilar, Gianvito Cavasoli, Inaki Larranaga Murgoitio,
      Joe Hansen, Jordi Mas, Jorge González, Kenneth Nielsen, Kentaro KAZUHAMA,
      Kjartan Maraas, Krix Apolinário, Leonid Kanter, Lucian Adrian Grijincu,
      Marek Černocký, Mario Blättermann, Matej Urbančič, Maxim V. Dziumanenko,
      Michael Kotsarinis, Petr Kovar, Rudolfs Mazurs, Sira Nokyoongtong,
      Takayuki KUSANO, Ville-Pekka Vainio, Xandru Armesto, Yaron Shahrabani,
      Yuri Myasoedov, Žygimantas Beručka, Χάρης Κουζινόπουλος

Contributors In Past Releases
-----------------------------

    Aaron Bockover, Alan McGovern, Alex Bennee, Alex Kloss, Alex Launi,
    Alex Mauer, Alex Willmy, Alexander Hixon, Alexander Kojevnikov,
    Alexandros Frantzis, Alp Toker, Anders Petersson, Andrea Cimitan,
    Andreas Neustifter, Andreas Nilsson, Andrew Conkling,
    Andrés G. Aragoneses, Andy Midgette, Aran Cox, Arthur Carli,
    Arun Raghavan, Aurélien Mino, Aydemir Ulaş Şahin, Ben Maurer,
    Benjamín Valero Espinosa, Bertrand Lorentz, Bill Dawson, Bob Copeland,
    Bojan Rajkovic, Brad Taylor, Brandon Perry, Brian Lucas, Brian Nickel,
    Brian Teague, Chow Loong Jin, Chris Howie, Chris Jones, Chris Lahey,
    Chris Toshok, Chris Turchin, Christian Hergert, Christian Krause,
    Christoph Burgdorf, Christopher James Halse Rogers, Claude Paroz,
    Cody Russell, Cosmin Banu, Dan Wilson, Dan Winship, Daniel Munkton,
    Daniel Siegel, David Nielsen, David Spreen, David Stone, Diego E. Pettenò,
    Dougal Stanton, Dustin C. Hatch, Eitan Isaacson, Elena Grassi,
    Eoin Hennessy, Eric Butler, Erik Schmidt, Fabian Jost,
    Felipe Almeida Lessa, Fernando Casanova, Florent Thoumie, Frank Ziegler,
    Fredrik Hedberg, Félix Velasco, Gabriel Burt, Garrett LeSage,
    Ghislain Lacroix, Götz Waschk, Haitao Feng, Hans Petter Jansson,
    Harold Schreckengost, Iain Lane, Igor Guerrero Fonseca, Ilya Konstantinov,
    Ivan N. Zlatev, Jack Deslippe, Jakub Steiner, James Willcox,
    Jan Arne Petersen, Jason Conti, Jason Taylor, Jeff Tickle, Jeff Wheeler,
    Jensen Somers, Jeroen Budts, Jo Shields, Johannes Kuhn, John Millikin,
    Jonas Urth Olsen, Jordi Mas, Jorge Castro, Julien Moutte, Juri Pakaste,
    Ján Sokoly, Jérémie Laval, K. Vishnoo Charan Reddy, Ken Vandine,
    Kentaro KAZUHAMA, Kevin Duffus, Koichi Akabe, Konstantin Oshiyko,
    Larry Ewing, Lauri Kotilainen, Lukas Lipka, Mackenan Grassi, Marijn Ros,
    Mark Busby, Matt Enright, Matt Sturgeon, Michael Kaiser,
    Michael Martin-Smucker, Michael Monreal, Michael Monreal, Michał Sawicz,
    Miguel de Icaza, Mike Gemünde, Mike Urbanski, Moritz Schallaböck,
    Nathan Palmer, Neil Loknath, Nicholas Doyle, Nicholas Parker,
    Nicolò Chieffo, Nils Naumann, Oben Sonne, Olivier Dufour, Oscar Forero,
    Pacho Ramos, Patrick van Staveren, Paul Cutler, Paul Lange, Pavel Antonov,
    Pepijn van de Geer, Pete Johanson, Peter de Kraker, Pratik Patel,
    Przemysław Grzegorczyk, Raimo Radczewski, Robin Stocker, Roderich Schupp,
    Rodney Dawes, Romain Tartière, Ruben Vermeersch, Ryan Collier,
    Samuel Gyger, Sandy Armstrong, Scott Peterson, Sebastian Dröge,
    Shaun McCance, Sjoerd Simons, Tim Fisken, Tim Yamin, Tobias Mueller,
    Todd Berman, Travis Glenn Hansen, Travis Reitter, Trey Ethridge,
    Valentin Sawadski, Will Farrington, William Friesen, William Pettersson,
    Wouter Bolsterlee, Yuuto Tokunaga, Zhou Ting
